keyboard_lowlevel_callback(3)

NAME
keyboard_lowlevel_callback

SYNOPSIS
#include <allegro.h>

extern void (*keyboard_lowlevel_callback)(int scancode);

DESCRIPTION
If set, this function is called by the keyboard handler in response to every keyboard event, both presses and releases. It will be passed a raw keyboard scancode byte, with the top bit clear if the key has been pressed or set if it was released. This routine executes in an interrupt context, so it must be in locked memory.

SEE ALSO
install_keyboard(3), keyboard_callback(3), keyboard_ucallback(3)